## wireshark 4.2.4

=== debian/changelog ===
wireshark (4.2.4-1) unstable; urgency=medium

  [ Martin Bagge ]
  * Update Swedish debconf translation (Closes: #1060670)

  [ Balint Reczey ]
  * debian/control: Drop comment about libgnutls28-dev's version's GPL
    compatibility. All supported releases already have the GPL2+ compatible
    libgnutls28-dev version.
  * Generate debian/control from control.in based on the target release
  * ACK NMU
  * Drop t64-related changes for backports
  * debian/watch: Update handling GitLab's page to make uscan work again
  * New upstream version 4.2.4:
    - security fixes (Closes: #1068111):
      - T.38 dissector crash (CVE-2024-2955)
  * Update symbols for libwireshark17t64
  * libwireshark-dev: Ship missing dfilter-loc.h.
    Also check if dfilter.h is usable, too, in debian/headers-check.c.
    (Closes: #1068410)
  * Cherry-pick upstream patch to fix Lua 5.2 integration on 32 bit systems

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 26 Apr 2024 11:30:27 +0200

## wireshark 4.2.5

=== debian/changelog ===
wireshark (4.2.5-2build2) oracular; urgency=medium

  * Rebuild against new libnghttp3-9.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Jul 2024 16:10:12 +0200

wireshark (4.2.5-2build1) oracular; urgency=medium

  * Rebuild against new libnghttp3-9.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Jul 2024 13:52:02 +0200

wireshark (4.2.5-2) sid; urgency=medium

  * debian/rules: Keep the t64 transition when targeting sid or oracular
    (Closes: #1072821)

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 09 Jun 2024 11:49:52 +0200

wireshark (4.2.5-1) unstable; urgency=medium

  * New upstream version:
    - security fixes:
      - MONGO and ZigBee TLV dissector infinite loops (CVE-2024-4854)
      - The editcap command line utility could crash when chopping bytes
        from the beginning of a packet. (CVE-2024-4853)
      - The editcap command line utility could crash when injecting secrets
        while writing multiple files (CVE-2024-4855)
  * debian/patches: Drop cherry picked patch already integrated upstream
  * Update symbols files

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 16 May 2024 21:07:29 +0200

=== debian/control ===
Source: wireshark
Maintainer: Balint Reczey <balint@balintreczey.hu>
Section: net
Priority: optional
Build-Depends: dpkg-dev (>= 1.22.5),
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-base-dev-tools,
               qt6-multimedia-dev,
               qt6-tools-dev,
               libpcap0.8-dev,
               flex,
               libz-dev,
               debhelper (>= 12),
               po-debconf,
               python3,
               python3-ply,
               python3-pytest <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               libc-ares-dev,
               xsltproc,
               dh-python,
               docbook-xsl,
               docbook-xml,
               libxml2-utils,
               libcap2-dev | libcap-dev,
               lsb-release,
               libparse-yapp-perl,
               libglib2.0-dev,
               libgnutls28-dev,
               libgcrypt-dev,
               libkrb5-dev,
               liblua5.2-dev,
               libsmi2-dev,
               libmaxminddb-dev,
               libopencore-amrnb-dev,
               libopus-dev,
               libsystemd-dev,
               libnl-genl-3-dev [linux-any],
               libnl-route-3-dev [linux-any],
               asciidoctor,
               cmake (>= 3.5),
               libsbc-dev,
               libnghttp2-dev,
               libnghttp3-dev,
               libssh-gcrypt-dev,
               liblz4-dev,
               libsnappy-dev,
               libzstd-dev,
               libspandsp-dev,
               libxml2-dev,
               libbrotli-dev,
               libspeexdsp-dev,
               libminizip-dev,
               libbcg729-dev,
               libxkbcommon-dev
Build-Conflicts: libsnmp4.2-dev,
                 libsnmp-dev
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/wireshark
Vcs-Git: https://salsa.debian.org/debian/wireshark.git -b debian/master
Homepage: https://www.wireshark.org/

Package: wireshark-common
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libwireshark17t64 (>= ${binary:Version}),
         libwiretap14t64 (>= ${binary:Version}),
         debconf,
         libcap2-bin [linux-any]
Recommends: wireshark (>= ${binary:Version}) | tshark (>= ${binary:Version})
Breaks: wireshark (<< 2.0.0~),
        wireshark-gtk (<< 3.0.0),
        wireshark-qt (<< 2.0.0~rc3+g841d5e1)
Replaces: wireshark (<< 2.0.0~),
          wireshark-qt (<< 2.0.0~rc3+g841d5e1)
Description: network traffic analyzer - common files
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package provides files common to both wireshark and tshark
 (the console version).

Package: wireshark
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         wireshark-common (= ${binary:Version}),
         libqt6svg6
Recommends: libqt6multimedia6
Conflicts: wireshark-qt (<< 4.4~),
        wireshark-gtk (<< 3.0.0~)
Replaces: wireshark-qt (<< 4.4~),
          wireshark-gtk (<< 3.0.0~)
Description: network traffic analyzer - graphical interface
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.

Package: tshark
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         wireshark-common (= ${binary:Version})
Description: network traffic analyzer - console version
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package provides the console version of wireshark, named
 "tshark".

Package: wireshark-dev
Architecture: any
Section: devel
Depends: ${misc:Depends},
         ${shlibs:Depends},
         omniidl,
         libpcap0.8-dev,
         libglib2.0-dev,
         ${python3:Depends},
         python3-ply,
         snacc,
         libwireshark-dev,
         libwiretap-dev
Description: network traffic analyzer - development tools
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package provides idl2wrs and other files necessary for developing
 new packet dissectors.

Package: wireshark-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: network traffic analyzer - documentation
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package contains Wireshark User's guide, Wireshark Developer's Guide
 and the Lua Reference.

Package: libwireshark17t64
Provides: ${t64:Provides}
Replaces: libwireshark17
Breaks: libwireshark17 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libwireshark-data (>= ${source:Version}),
         libwsutil15t64 (>= ${source:Version})
Suggests: wireshark-doc (>= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: network packet dissection library -- shared library
 The libwireshark library provides the network packet dissection services
 developed by the Wireshark project.

Package: libwsutil15t64
Provides: ${t64:Provides}
Replaces: libwsutil15
Breaks: libwsutil15 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: network packet dissection utilities library -- shared library
 The libwsutil library provides utility functions for Wireshark and related
 binaries and shared libraries.

Package: libwsutil-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libwsutil15t64 (= ${binary:Version})
Breaks: libwireshark-dev (<< 3.7.0~)
Replaces: libwireshark-dev (<< 3.7.0~)
Description: network packet dissection utilities library -- development files
 The libwsutil library provides utility functions for Wireshark and related
 binaries and shared libraries.
 .
 This package contains the static library and the C header files that are
 needed for applications to use the libwsutil library.

Package: libwireshark-data
Architecture: all
Multi-Arch: foreign
Section: libs
Depends: ${misc:Depends}
Suggests: geoipupdate,
          geoip-database,
          geoip-database-extra,
          libjs-leaflet,
          libjs-leaflet.markercluster,
          snmp-mibs-downloader
Description: network packet dissection library -- data files
 The libwireshark library provides the network packet dissection services
 developed by the Wireshark project.
 .
 This package contains the platform independent files.

Package: libwireshark-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libwsutil-dev,
         libwiretap-dev,
         libwireshark17t64 (= ${binary:Version})
Description: network packet dissection library -- development files
 The "libwireshark" library provides the network packet dissection services
 developed by the Wireshark project.
 .
 This package contains the static library and the C header files that are
 needed for applications to use libwireshark services.

Package: libwiretap14t64
Provides: ${t64:Provides}
Replaces: libwiretap14
Breaks: libwiretap14 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: network packet capture library -- shared library
 Wiretap, part of the Wireshark project, is a library that allows one to
 read and write several packet capture file formats.
 .
 Supported formats are:
  * Libpcap
  * Sniffer
  * LANalyzer
  * Network Monitor
  * "snoop"
  * "iptrace"
  * Sniffer Basic (NetXRay)/Windows Sniffer Pro
  * RADCOM WAN/LAN Analyzers
  * Lucent/Ascend access products
  * HP-UX nettl
  * Toshiba ISDN Router
  * ISDN4BSD "i4btrace" utility
  * Cisco Secure Intrusion Detection System iplogging facility
  * pppd logs (pppdump-format files)
  * VMS TCPTRACE
  * DBS Etherwatch (text format)
  * Catapult DCT2000 (.out files)
 .
 Wiretap's shortcomings are: no filter capability and no support for packet
 capture.

Package: libwiretap-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libwiretap14t64 (= ${binary:Version})
Description: network packet capture library -- development files
 Wiretap, part of the Wireshark project, is a library that allows one to
 read and write several packet capture file formats.
 .
 Supported formats are:
  * Libpcap
  * Sniffer
  * LANalyzer
  * Network Monitor
  * "snoop"
  * "iptrace"
  * Sniffer Basic (NetXRay)/Windows Sniffer Pro
  * RADCOM WAN/LAN Analyzers
  * Lucent/Ascend access products
  * HP-UX nettl
  * Toshiba ISDN Router
  * ISDN4BSD "i4btrace" utility
  * Cisco Secure Intrusion Detection System iplogging facility
  * pppd logs (pppdump-format files)
  * VMS TCPTRACE
  * DBS Etherwatch (text format)
  * Catapult DCT2000 (.out files)
 .
 Wiretap's shortcomings are: no filter capability and no support for packet
 capture.
 .
 This package contains the static library and the C header files.

=== debian/rules ===
#!/usr/bin/make -f
# Originally made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.
# Rewritten to use dh, by Balint Reczey

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

QT6_BUILD_DEPS = qt6-5compat-dev, qt6-base-dev, qt6-base-dev-tools, qt6-multimedia-dev, qt6-tools-dev
QT6_DEPS = libqt6svg6
QT6_RECOMMENDS = libqt6multimedia6
QT5_BUILD_DEPS = qtbase5-dev, qtbase5-dev-tools, qtbase5-dev-tools, qtmultimedia5-dev, qttools5-dev
QT5_DEPS = libqt5svg5
QT5_RECOMMENDS = libqt5multimedia5-plugins

CONTROL_IN_SED_CMD =
ifneq ($(filter focal jammy,$(DEB_DISTRIBUTION)),)
CONTROL_IN_SED_CMD := $(CONTROL_IN_SED_CMD)s/@QT_BUILD_DEPS@/$(QT5_BUILD_DEPS)/;s/@QT_DEPS@/$(QT5_DEPS)/;s/@QT_RECOMMENDS@/$(QT5_RECOMMENDS)/;s/, qt/,\\n               qt/g;
else
CONTROL_IN_SED_CMD := $(CONTROL_IN_SED_CMD)s/@QT_BUILD_DEPS@/$(QT6_BUILD_DEPS)/;s/@QT_DEPS@/$(QT6_DEPS)/;s/@QT_RECOMMENDS@/$(QT6_RECOMMENDS)/;s/, qt/,\\n               qt/g;
endif
ifneq ($(filter focal,$(DEB_DISTRIBUTION)),)
CONTROL_IN_SED_CMD := $(CONTROL_IN_SED_CMD)s/^ *libbcg729-dev/\# libbcg729-dev/;s/^ *libnghttp3-dev/\# libnghttp3-dev/;
endif


# This has to be exported to make some magic below work.
export DH_OPTIONS

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export docdir = /usr/share/doc/wireshark-doc
%:
	dh $@ --with python3 --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_xxx2deb=ON -DBUILD_corbaidl2wrs=ON -DBUILD_falcodump=ON \
		-DVCSVERSION_OVERRIDE="Git v$(DEB_VERSION_UPSTREAM) packaged as $(DEB_VERSION)" \
		-DUSE_qt6=$$(if grep -q qt6-base-dev debian/control; then echo ON; else echo OFF; fi)

override_dh_auto_build-arch:
	# regenerate ASN.1 dissectors
	# Ignore warnings from asn2wrs.py about duplicate field names.
	PYTHONWARNINGS='ignore:The same:UserWarning::0' \
	$(MAKE) -C $(CURDIR)/obj-* asn1
	dh_auto_build -a

override_dh_auto_build-indep:
	# Ignore warnings from asn2wrs.py about duplicate field names.
	PYTHONWARNINGS='ignore:The same:UserWarning::0' \
	$(MAKE) -C $(CURDIR)/obj-* asn1
	dh_auto_build -i
	$(MAKE) -C $(CURDIR)/obj-* user_guide_html developer_guide_html
	# fix links in documentation
	sed -i "s|$(CURDIR)/docbook|..|" obj-*/docbook/ws*g_html_chunked/*.html

override_dh_dwz:
	# run dh_dwz only with debhelper (>= 12.6) to work around https://bugs.debian.org/939164
	dpkg -l debhelper | awk '/debhelper/ {print $$3}' | xargs dpkg --compare-versions 12.6 gt || dh_dwz

override_dh_auto_install-arch:
	dh_auto_install -a
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp -C $(CURDIR)/obj-* install-headers
	# fixes #1068410, can be dropped in wireshark 4.4
	cp epan/dfilter/dfilter-loc.h debian/tmp/usr/include/wireshark/epan/dfilter/
	rm -f debian/*.shlibs
	mkdir -p $(CURDIR)/debian/tmp/etc/wireshark/

override_dh_auto_install-indep:
	dh_auto_install -i
	rm -rf $(CURDIR)/debian/tmp/usr/share/doc/wireshark/COPYING
	cp debian/license-text-about-dialog $(CURDIR)/debian/tmp/usr/share/wireshark/ABOUT.GPL

override_dh_install-arch:
	dh_install -a
	# check all necessary headers are included
	$(CC) -c debian/headers-check.c $(shell pkg-config --cflags glib-2.0) $(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CFLAGS) -Idebian/libwireshark-dev/usr/include -Idebian/libwireshark-dev/usr/include/wireshark -Idebian/libwiretap-dev/usr/include/wireshark -Idebian/libwsutil-dev/usr/include -Idebian/libwsutil-dev/usr/include/wireshark -o /dev/null

override_dh_fixperms-arch:
	dh_fixperms -a
	chmod 644 debian/wireshark-dev/usr/share/pyshared/make-plugin-reg.py \
		debian/wireshark-dev/usr/share/pyshared/wireshark_be.py \
		debian/wireshark-dev/usr/share/pyshared/wireshark_gen.py

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C obj-* test-programs
ifneq (,$(filter armel armhf hppa mips mipsel s390x,$(DEB_HOST_ARCH)))
	# reported as https://gitlab.com/wireshark/wireshark/-/issues/15945
	-dh_auto_test
else
	dh_auto_test
endif
endif

override_dh_clean:
	dh_clean -- debian/control
	# regenerate debian/control
ifneq ($(filter noble oracular unstable sid testing trixie UNRELEASED,$(DEB_DISTRIBUTION)),)
	sed "$(CONTROL_IN_SED_CMD)" debian/control.t64.in > debian/control
else
	sed "$(CONTROL_IN_SED_CMD)" debian/control.in > debian/control
        # also revert t64-related changes in backports
	for f in debian/lib*t64*; do \
		[ -f $$f ] || continue; \
		sed -i 's/\([0-9]\)t64/\1/g' $$f; \
		echo $$f | sed 's/t64//' | xargs mv $$f; \
	done
endif
	# ignore #653916
	@echo 'blhc: ignore-line-regexp: .*CMakeCXXCompilerABI.cpp .*'

## wireshark 4.2.6

=== wiretap/CMakeLists.txt ===
# CMakeLists.txt
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# SPDX-License-Identifier: GPL-2.0-or-later
#

set(WIRETAP_PUBLIC_HEADERS
	file_wrappers.h
	introspection.h
	merge.h
	pcap-encap.h
	pcapng_module.h
	secrets-types.h
	wtap.h
	wtap_modules.h
	wtap_opttypes.h
)

#
# Files that implement reading and possibly writing one or more
# file types.  (For cases where more than one source file is
# used, this should be the one that contains a registration routine.)
#
# This does not include libpcap.c and pcapng.c; those are listed below,
# and we don't scan them to see whether they have registration
# routines, we *require* them to have registration routines named
# register_pcap() and register_pcapng(), and directly call those routines.
#
set(WIRETAP_C_MODULE_FILES
	${CMAKE_CURRENT_SOURCE_DIR}/5views.c
	${CMAKE_CURRENT_SOURCE_DIR}/aethra.c
	${CMAKE_CURRENT_SOURCE_DIR}/ascendtext.c
	${CMAKE_CURRENT_SOURCE_DIR}/atm.c
	${CMAKE_CURRENT_SOURCE_DIR}/autosar_dlt.c
	${CMAKE_CURRENT_SOURCE_DIR}/ber.c
	${CMAKE_CURRENT_SOURCE_DIR}/blf.c
	${CMAKE_CURRENT_SOURCE_DIR}/btsnoop.c
	${CMAKE_CURRENT_SOURCE_DIR}/busmaster.c
	${CMAKE_CURRENT_SOURCE_DIR}/camins.c
	${CMAKE_CURRENT_SOURCE_DIR}/candump.c
	${CMAKE_CURRENT_SOURCE_DIR}/capsa.c
	${CMAKE_CURRENT_SOURCE_DIR}/catapult_dct2000.c
	${CMAKE_CURRENT_SOURCE_DIR}/commview.c
	${CMAKE_CURRENT_SOURCE_DIR}/cosine.c
	${CMAKE_CURRENT_SOURCE_DIR}/csids.c
	${CMAKE_CURRENT_SOURCE_DIR}/daintree-sna.c
	${CMAKE_CURRENT_SOURCE_DIR}/dbs-etherwatch.c
	${CMAKE_CURRENT_SOURCE_DIR}/dpa400.c
	${CMAKE_CURRENT_SOURCE_DIR}/dct3trace.c
	${CMAKE_CURRENT_SOURCE_DIR}/erf.c
	${CMAKE_CURRENT_SOURCE_DIR}/eri_enb_log.c
	${CMAKE_CURRENT_SOURCE_DIR}/eyesdn.c
	${CMAKE_CURRENT_SOURCE_DIR}/hcidump.c
	${CMAKE_CURRENT_SOURCE_DIR}/i4btrace.c
	${CMAKE_CURRENT_SOURCE_DIR}/ipfix.c
	${CMAKE_CURRENT_SOURCE_DIR}/iptrace.c
	${CMAKE_CURRENT_SOURCE_DIR}/iseries.c
	${CMAKE_CURRENT_SOURCE_DIR}/json.c
	${CMAKE_CURRENT_SOURCE_DIR}/k12.c
	${CMAKE_CURRENT_SOURCE_DIR}/lanalyzer.c
	${CMAKE_CURRENT_SOURCE_DIR}/log3gpp.c
	${CMAKE_CURRENT_SOURCE_DIR}/logcat.c
	${CMAKE_CURRENT_SOURCE_DIR}/logcat_text.c
	${CMAKE_CURRENT_SOURCE_DIR}/mp4.c
	${CMAKE_CURRENT_SOURCE_DIR}/mpeg.c
	${CMAKE_CURRENT_SOURCE_DIR}/mplog.c
	${CMAKE_CURRENT_SOURCE_DIR}/mime_file.c
	${CMAKE_CURRENT_SOURCE_DIR}/mp2t.c
	${CMAKE_CURRENT_SOURCE_DIR}/netmon.c
	${CMAKE_CURRENT_SOURCE_DIR}/netscaler.c
	${CMAKE_CURRENT_SOURCE_DIR}/netscreen.c
	${CMAKE_CURRENT_SOURCE_DIR}/nettl.c
	${CMAKE_CURRENT_SOURCE_DIR}/nettrace_3gpp_32_423.c
	${CMAKE_CURRENT_SOURCE_DIR}/netxray.c
	${CMAKE_CURRENT_SOURCE_DIR}/ngsniffer.c
	${CMAKE_CURRENT_SOURCE_DIR}/observer.c
	${CMAKE_CURRENT_SOURCE_DIR}/packetlogger.c
	${CMAKE_CURRENT_SOURCE_DIR}/pcap-common.c
	${CMAKE_CURRENT_SOURCE_DIR}/peekclassic.c
	${CMAKE_CURRENT_SOURCE_DIR}/peektagged.c
	${CMAKE_CURRENT_SOURCE_DIR}/pppdump.c
	${CMAKE_CURRENT_SOURCE_DIR}/radcom.c
	${CMAKE_CURRENT_SOURCE_DIR}/rfc7468.c
	${CMAKE_CURRENT_SOURCE_DIR}/rtpdump.c
	${CMAKE_CURRENT_SOURCE_DIR}/ruby_marshal.c
	${CMAKE_CURRENT_SOURCE_DIR}/snoop.c
	${CMAKE_CURRENT_SOURCE_DIR}/stanag4607.c
	${CMAKE_CURRENT_SOURCE_DIR}/systemd_journal.c
	${CMAKE_CURRENT_SOURCE_DIR}/tnef.c
	${CMAKE_CURRENT_SOURCE_DIR}/toshiba.c
	${CMAKE_CURRENT_SOURCE_DIR}/visual.c
	${CMAKE_CURRENT_SOURCE_DIR}/vms.c
	${CMAKE_CURRENT_SOURCE_DIR}/vwr.c
)

set(WIRETAP_LEX_MODULE_FILES
	${CMAKE_CURRENT_SOURCE_DIR}/k12text.l
)

#
# Files to scan for registration routines.
#
set(WIRETAP_MODULE_FILES
	${WIRETAP_C_MODULE_FILES}
	${WIRETAP_LEX_MODULE_FILES}
)

#
# C source files that aren't generated.
#
set(WIRETAP_NONGENERATED_C_FILES
	${WIRETAP_C_MODULE_FILES}
	${CMAKE_CURRENT_SOURCE_DIR}/pcapng.c
	${CMAKE_CURRENT_SOURCE_DIR}/introspection.c
	${CMAKE_CURRENT_SOURCE_DIR}/libpcap.c
	${CMAKE_CURRENT_SOURCE_DIR}/file_access.c
	${CMAKE_CURRENT_SOURCE_DIR}/file_wrappers.c
	${CMAKE_CURRENT_SOURCE_DIR}/merge.c
	${CMAKE_CURRENT_SOURCE_DIR}/wtap.c
	${CMAKE_CURRENT_SOURCE_DIR}/wtap_opttypes.c
)

#
# All C files to compile.
#
set(WIRETAP_FILES ${WIRETAP_NONGENERATED_C_FILES} wtap_modules.c)

add_lex_files(LEX_FILES WIRETAP_FILES
	${WIRETAP_LEX_MODULE_FILES}
	${CMAKE_CURRENT_SOURCE_DIR}/ascend_scanner.l
	${CMAKE_CURRENT_SOURCE_DIR}/busmaster_scanner.l
	${CMAKE_CURRENT_SOURCE_DIR}/candump_scanner.l
)

add_lemon_files(LEMON_FILES WIRETAP_FILES
	${CMAKE_CURRENT_SOURCE_DIR}/ascend_parser.lemon
	${CMAKE_CURRENT_SOURCE_DIR}/busmaster_parser.lemon
	${CMAKE_CURRENT_SOURCE_DIR}/candump_parser.lemon
)

#
# We pass the arguments to make-regs.py in a file to avoid limitations
# with the number of arguments handled by main().
#
file(GENERATE
	OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/wtap_modules.in.txt"
	CONTENT "$<JOIN:${WIRETAP_MODULE_FILES},\n>\n"
)
add_custom_command(
	OUTPUT wtap_modules.c
	COMMAND ${Python3_EXECUTABLE} ${CMAKE_SOURCE_DIR}/tools/make-regs.py wtap_modules wtap_modules.c @wtap_modules.in.txt
	DEPENDS ${CMAKE_SOURCE_DIR}/tools/make-regs.py ${WIRETAP_MODULE_FILES}
		"${CMAKE_CURRENT_BINARY_DIR}/wtap_modules.in.txt"
	COMMENT "Making wtap_modules.c"
)

#
# All files are warning-clean.  (Let's keep it that way.)
#
set_source_files_properties(
	${WIRETAP_NONGENERATED_C_FILES}
	PROPERTIES
	COMPILE_FLAGS "${WERROR_COMMON_FLAGS}"
)

add_library(wiretap
	${WIRETAP_FILES}
	${CMAKE_BINARY_DIR}/resources/libwiretap.rc
)

set_target_properties(wiretap PROPERTIES
	PREFIX "lib"
	COMPILE_DEFINITIONS "WS_BUILD_DLL"
	LINK_FLAGS "${WS_LINK_FLAGS}"
	VERSION "14.1.6" SOVERSION 14
	FOLDER "DLLs"
	INSTALL_RPATH "${LIBRARY_INSTALL_RPATH}"
)
if(MSVC)
	set_target_properties(wiretap PROPERTIES LINK_FLAGS_DEBUG "${WS_MSVC_DEBUG_LINK_FLAGS}")
endif()

target_link_libraries(wiretap
	PUBLIC
		wsutil
		${GLIB2_LIBRARIES}
	PRIVATE
		${ZLIB_LIBRARIES}
		${ZSTD_LIBRARIES}
		${LZ4_LIBRARIES}
)

target_include_directories(wiretap SYSTEM
	PRIVATE
		${ZLIB_INCLUDE_DIRS}
		${ZSTD_INCLUDE_DIRS}
		${LZ4_INCLUDE_DIRS}
)

target_include_directories(wiretap PUBLIC
	$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
)

install(TARGETS wiretap
	EXPORT WiresharkTargets
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

install(FILES ${WIRETAP_PUBLIC_HEADERS}
	DESTINATION "${PROJECT_INSTALL_INCLUDEDIR}/wiretap"
	COMPONENT "Development"
	EXCLUDE_FROM_ALL
)

CHECKAPI(
	NAME
	  wiretap
	SWITCHES
	SOURCES
	  ${WIRETAP_NONGENERATED_FILES}
# LEX files commented out due to use of malloc, free etc.
#	  ${LEX_FILES}
	  ${LEMON_FILES}
)

#
# Editor modelines  -  https://www.wireshark.org/tools/modelines.html
#
# Local variables:
# c-basic-offset: 8
# tab-width: 8
# indent-tabs-mode: t
# End:
#
# vi: set shiftwidth=8 tabstop=8 noexpandtab:
# :indentSize=8:tabSize=8:noTabs=false:
#

=== tools/radiotap-gen/CMakeLists.txt ===

if(UNIX)

	add_executable( radiotap-gen radiotap-gen.c )

	target_link_libraries( radiotap-gen pcap ${GLIB2_LIBRARIES} )

endif()

=== debian/changelog ===
wireshark (4.2.6-1deepin1) unstable; urgency=medium

  * Revert t64.

 -- xiangzelong <xiangzelong@deepin.org>  Thu, 01 Aug 2024 10:39:21 +0800

wireshark (4.2.6-1) unstable; urgency=medium

  * Build depend on libssh-dev instead of libssh-gcrypt-dev on latest
    distribution releases. This is made possible by OpenSSL switching
    its license to Apache 2.0.
    (Closes: #1074268)
  * New upstream version:
    - security fixes:
      - The SPRT dissector could crash

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 11 Jul 2024 23:26:26 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Maintainer: Balint Reczey <balint@balintreczey.hu>
 Section: net
 Priority: optional
-Build-Depends: dpkg-dev (>= 1.22.5),
-               qt6-5compat-dev,
+Build-Depends: qt6-5compat-dev,
                qt6-base-dev,
                qt6-base-dev-tools,
                qt6-multimedia-dev,
@@ -43,7 +42,7 @@
                libsbc-dev,
                libnghttp2-dev,
                libnghttp3-dev,
-               libssh-gcrypt-dev,
+               libssh-dev,
                liblz4-dev,
                libsnappy-dev,
                libzstd-dev,
@@ -66,8 +65,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libwireshark17t64 (>= ${binary:Version}),
-         libwiretap14t64 (>= ${binary:Version}),
+         libwireshark17 (>= ${binary:Version}),
+         libwiretap14 (>= ${binary:Version}),
          debconf,
          libcap2-bin [linux-any]
 Recommends: wireshark (>= ${binary:Version}) | tshark (>= ${binary:Version})
@@ -147,27 +146,21 @@
  This package contains Wireshark User's guide, Wireshark Developer's Guide
  and the Lua Reference.
 
-Package: libwireshark17t64
-Provides: ${t64:Provides}
-Replaces: libwireshark17
-Breaks: libwireshark17 (<< ${source:Version})
+Package: libwireshark17
 Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libwireshark-data (>= ${source:Version}),
-         libwsutil15t64 (>= ${source:Version})
+         libwsutil15 (>= ${source:Version})
 Suggests: wireshark-doc (>= ${source:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Description: network packet dissection library -- shared library
  The libwireshark library provides the network packet dissection services
  developed by the Wireshark project.
 
-Package: libwsutil15t64
-Provides: ${t64:Provides}
-Replaces: libwsutil15
-Breaks: libwsutil15 (<< ${source:Version})
+Package: libwsutil15
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -182,7 +175,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libwsutil15t64 (= ${binary:Version})
+         libwsutil15 (= ${binary:Version})
 Breaks: libwireshark-dev (<< 3.7.0~)
 Replaces: libwireshark-dev (<< 3.7.0~)
 Description: network packet dissection utilities library -- development files
@@ -215,7 +208,7 @@
 Depends: ${misc:Depends},
          libwsutil-dev,
          libwiretap-dev,
-         libwireshark17t64 (= ${binary:Version})
+         libwireshark17 (= ${binary:Version})
 Description: network packet dissection library -- development files
  The "libwireshark" library provides the network packet dissection services
  developed by the Wireshark project.
@@ -223,10 +216,7 @@
  This package contains the static library and the C header files that are
  needed for applications to use libwireshark services.
 
-Package: libwiretap14t64
-Provides: ${t64:Provides}
-Replaces: libwiretap14
-Breaks: libwiretap14 (<< ${source:Version})
+Package: libwiretap14
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -263,7 +253,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libwiretap14t64 (= ${binary:Version})
+         libwiretap14 (= ${binary:Version})
 Description: network packet capture library -- development files
  Wiretap, part of the Wireshark project, is a library that allows one to
  read and write several packet capture file formats.

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,11 @@
 ifneq ($(filter focal,$(DEB_DISTRIBUTION)),)
 CONTROL_IN_SED_CMD := $(CONTROL_IN_SED_CMD)s/^ *libbcg729-dev/\# libbcg729-dev/;s/^ *libnghttp3-dev/\# libnghttp3-dev/;
 endif
-
+ifneq ($(filter noble oracular unstable sid testing trixie UNRELEASED,$(DEB_DISTRIBUTION)),)
+CONTROL_IN_SED_CMD := $(CONTROL_IN_SED_CMD)s/@LIBSSH_DEV@/libssh-dev/;
+else
+CONTROL_IN_SED_CMD := $(CONTROL_IN_SED_CMD)s/@LIBSSH_DEV@/libssh-gcrypt-dev/;
+endif
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
@@ -99,16 +103,6 @@
 override_dh_clean:
 	dh_clean -- debian/control
 	# regenerate debian/control
-ifneq ($(filter noble oracular unstable sid testing trixie UNRELEASED,$(DEB_DISTRIBUTION)),)
-	sed "$(CONTROL_IN_SED_CMD)" debian/control.t64.in > debian/control
-else
 	sed "$(CONTROL_IN_SED_CMD)" debian/control.in > debian/control
-        # also revert t64-related changes in backports
-	for f in debian/lib*t64*; do \
-		[ -f $$f ] || continue; \
-		sed -i 's/\([0-9]\)t64/\1/g' $$f; \
-		echo $$f | sed 's/t64//' | xargs mv $$f; \
-	done
-endif
 	# ignore #653916
 	@echo 'blhc: ignore-line-regexp: .*CMakeCXXCompilerABI.cpp .*'

## wireshark 4.4.0

=== debian/changelog ===
wireshark (4.4.0-1) unstable; urgency=medium

  * Upload to unstable (Closes :#1080298)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 06 Sep 2024 10:59:54 +0200

wireshark (4.4.0-0exp2) experimental; urgency=medium

  * Cherry-pick upstream commit to fix prefix in wireshark.pc

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 05 Sep 2024 00:06:58 +0200

wireshark (4.4.0-0exp1) experimental; urgency=medium

  * debian/rules: Ignore test results only on big endian architectures.
    Wireshark's Lua integration is fixed upstream to work correctly on ARM,
    thus tests are passing there.
    A few crypto related tests are still failing on big endian architectures.
    (Closes: #1076536)
  * New major upstream release
  * Update symbols files
  * debian/rules: Use Lua 5.4 and fall back to building with Lua 5.3 when 5.4
    is not available
  * debian/rules: Fix fixing links in documentation
  * Ignore Lintian warning library-not-linked-against-libc for ipaddr.so plugin
  * debian/rules: Run tests with LC_ALL=C.UTF-8.
    This lets tests pass with some interesting locales.

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 31 Aug 2024 13:19:16 +0200

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                libgnutls28-dev,
                libgcrypt-dev,
                libkrb5-dev,
-               liblua5.2-dev,
+               liblua5.4-dev | liblua5.3-dev,
                libsmi2-dev,
                libmaxminddb-dev,
                libopencore-amrnb-dev,
@@ -65,8 +65,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libwireshark17 (>= ${binary:Version}),
-         libwiretap14 (>= ${binary:Version}),
+         libwireshark18 (>= ${binary:Version}),
+         libwiretap15 (>= ${binary:Version}),
          debconf,
          libcap2-bin [linux-any]
 Recommends: wireshark (>= ${binary:Version}) | tshark (>= ${binary:Version})
@@ -146,21 +146,21 @@
  This package contains Wireshark User's guide, Wireshark Developer's Guide
  and the Lua Reference.
 
-Package: libwireshark17
+Package: libwireshark18
 Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libwireshark-data (>= ${source:Version}),
-         libwsutil15 (>= ${source:Version})
+         libwsutil16 (>= ${source:Version})
 Suggests: wireshark-doc (>= ${source:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Description: network packet dissection library -- shared library
  The libwireshark library provides the network packet dissection services
  developed by the Wireshark project.
 
-Package: libwsutil15
+Package: libwsutil16
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -175,7 +175,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libwsutil15 (= ${binary:Version})
+         libwsutil16 (= ${binary:Version})
 Breaks: libwireshark-dev (<< 3.7.0~)
 Replaces: libwireshark-dev (<< 3.7.0~)
 Description: network packet dissection utilities library -- development files
@@ -208,7 +208,7 @@
 Depends: ${misc:Depends},
          libwsutil-dev,
          libwiretap-dev,
-         libwireshark17 (= ${binary:Version})
+         libwireshark18 (= ${binary:Version})
 Description: network packet dissection library -- development files
  The "libwireshark" library provides the network packet dissection services
  developed by the Wireshark project.
@@ -216,7 +216,7 @@
  This package contains the static library and the C header files that are
  needed for applications to use libwireshark services.
 
-Package: libwiretap14
+Package: libwiretap15
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -253,7 +253,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libwiretap14 (= ${binary:Version})
+         libwiretap15 (= ${binary:Version})
 Description: network packet capture library -- development files
  Wiretap, part of the Wireshark project, is a library that allows one to
  read and write several packet capture file formats.

=== debian/rules ===
--- 
+++ 
@@ -59,7 +59,7 @@
 	dh_auto_build -i
 	$(MAKE) -C $(CURDIR)/obj-* user_guide_html developer_guide_html
 	# fix links in documentation
-	sed -i "s|$(CURDIR)/docbook|..|" obj-*/docbook/ws*g_html_chunked/*.html
+	sed -i "s|$(CURDIR)/doc|..|" obj-*/doc/ws*g_html_chunked/*.html
 
 override_dh_dwz:
 	# run dh_dwz only with debhelper (>= 12.6) to work around https://bugs.debian.org/939164
@@ -92,11 +92,11 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) -C obj-* test-programs
-ifneq (,$(filter armel armhf hppa mips mipsel s390x,$(DEB_HOST_ARCH)))
+ifneq (,$(filter hppa m68k powerpc ppc64 sparc64 s390x,$(DEB_HOST_ARCH)))
 	# reported as https://gitlab.com/wireshark/wireshark/-/issues/15945
-	-dh_auto_test
+	-env LC_ALL=C.UTF-8 dh_auto_test
 else
-	dh_auto_test
+	env LC_ALL=C.UTF-8 dh_auto_test
 endif
 endif

## wireshark 4.4.1

=== debian/changelog ===
wireshark (4.4.1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 13 Oct 2024 23:58:39 -0700

wireshark (4.4.1-1) unstable; urgency=medium

  [ Balint Reczey ]
  * New upstream version:
    - security fixes:
      - AppleTalk and RELOAD Framing dissector crashes (CVE-2024-9781)
      - ITS dissector crash (CVE-2024-9780)
  * Drop mismatched and obsolete Lintian override for ipaddr.so
  * Drop obsolete unused Lintian overrides left from the t64 transition

  [ Andika Triwidada ]
  * Indonesian debconf translation update (Closes: #1084491)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 10 Oct 2024 15:35:16 +0200

=== debian/control ===
Source: wireshark
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Balint Reczey <balint@balintreczey.hu>
Section: net
Priority: optional
Build-Depends: asciidoctor,
               cmake (>= 3.5),
               debhelper (>= 12),
               dh-python,
               docbook-xml,
               docbook-xsl,
               flex,
               libbcg729-dev,
               libbrotli-dev,
               libc-ares-dev,
               libcap2-dev | libcap-dev,
               libgcrypt-dev,
               libglib2.0-dev,
               libgnutls28-dev,
               libkrb5-dev,
               liblua5.4-dev | liblua5.3-dev,
               liblz4-dev,
               libmaxminddb-dev,
               libminizip-dev,
               libnghttp2-dev,
               libnghttp3-dev,
               libnl-genl-3-dev [linux-any],
               libnl-route-3-dev [linux-any],
               libopencore-amrnb-dev,
               libopus-dev,
               libparse-yapp-perl,
               libpcap0.8-dev,
               libsbc-dev,
               libsmi2-dev,
               libsnappy-dev,
               libspandsp-dev,
               libspeexdsp-dev,
               libsystemd-dev,
               libxkbcommon-dev,
               libxml2-dev,
               libxml2-utils,
               libz-dev,
               libzstd-dev,
               lsb-release,
               po-debconf,
               python3,
               python3-ply,
               python3-pytest <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               xsltproc,
               libssh-gcrypt-dev,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-base-dev-tools,
               qt6-multimedia-dev,
               qt6-tools-dev
Build-Conflicts: libsnmp-dev, libsnmp4.2-dev
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/wireshark
Vcs-Git: https://salsa.debian.org/debian/wireshark.git -b debian/master
Homepage: https://www.wireshark.org/

Package: wireshark-common
Architecture: any
Depends: debconf,
         libcap2-bin [linux-any],
         libwireshark18 (>= ${binary:Version}),
         libwiretap15 (>= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: wireshark (>= ${binary:Version}) | tshark (>= ${binary:Version})
Breaks: wireshark (<< 2.0.0~),
        wireshark-gtk (<< 3.0.0),
        wireshark-qt (<< 2.0.0~rc3+g841d5e1)
Replaces: wireshark (<< 2.0.0~), wireshark-qt (<< 2.0.0~rc3+g841d5e1)
Description: network traffic analyzer - common files
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package provides files common to both wireshark and tshark
 (the console version).

Package: wireshark
Architecture: any
Depends: wireshark-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libqt6svg6
Recommends: libqt6multimedia6
Conflicts: wireshark-gtk (<< 3.0.0~), wireshark-qt (<< 4.4~)
Replaces: wireshark-gtk (<< 3.0.0~), wireshark-qt (<< 4.4~)
Description: network traffic analyzer - graphical interface
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.

Package: tshark
Architecture: any
Depends: wireshark-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: network traffic analyzer - console version
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package provides the console version of wireshark, named
 "tshark".

Package: wireshark-dev
Architecture: any
Section: devel
Depends: libglib2.0-dev,
         libpcap0.8-dev,
         libwireshark-dev,
         libwiretap-dev,
         omniidl,
         python3-ply,
         snacc,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: network traffic analyzer - development tools
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package provides idl2wrs and other files necessary for developing
 new packet dissectors.

Package: wireshark-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: network traffic analyzer - documentation
 Wireshark is a network "sniffer" - a tool that captures and analyzes
 packets off the wire. Wireshark can decode too many protocols to list
 here.
 .
 This package contains Wireshark User's guide, Wireshark Developer's Guide
 and the Lua Reference.

Package: libwireshark18
Architecture: any
Multi-Arch: same
Section: libs
Depends: libwireshark-data (>= ${source:Version}),
         libwsutil16 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: wireshark-doc (>= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: network packet dissection library -- shared library
 The libwireshark library provides the network packet dissection services
 developed by the Wireshark project.

Package: libwsutil16
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: network packet dissection utilities library -- shared library
 The libwsutil library provides utility functions for Wireshark and related
 binaries and shared libraries.

Package: libwsutil-dev
Architecture: any
Section: libdevel
Depends: libwsutil16 (= ${binary:Version}), ${misc:Depends}
Breaks: libwireshark-dev (<< 3.7.0~)
Replaces: libwireshark-dev (<< 3.7.0~)
Description: network packet dissection utilities library -- development files
 The libwsutil library provides utility functions for Wireshark and related
 binaries and shared libraries.
 .
 This package contains the static library and the C header files that are
 needed for applications to use the libwsutil library.

Package: libwireshark-data
Architecture: all
Multi-Arch: foreign
Section: libs
Depends: ${misc:Depends}
Suggests: geoip-database,
          geoip-database-extra,
          geoipupdate,
          libjs-leaflet,
          libjs-leaflet.markercluster,
          snmp-mibs-downloader
Description: network packet dissection library -- data files
 The libwireshark library provides the network packet dissection services
 developed by the Wireshark project.
 .
 This package contains the platform independent files.

Package: libwireshark-dev
Architecture: any
Section: libdevel
Depends: libwireshark18 (= ${binary:Version}),
         libwiretap-dev,
         libwsutil-dev,
         ${misc:Depends}
Description: network packet dissection library -- development files
 The "libwireshark" library provides the network packet dissection services
 developed by the Wireshark project.
 .
 This package contains the static library and the C header files that are
 needed for applications to use libwireshark services.

Package: libwiretap15
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: network packet capture library -- shared library
 Wiretap, part of the Wireshark project, is a library that allows one to
 read and write several packet capture file formats.
 .
 Supported formats are:
  * Libpcap
  * Sniffer
  * LANalyzer
  * Network Monitor
  * "snoop"
  * "iptrace"
  * Sniffer Basic (NetXRay)/Windows Sniffer Pro
  * RADCOM WAN/LAN Analyzers
  * Lucent/Ascend access products
  * HP-UX nettl
  * Toshiba ISDN Router
  * ISDN4BSD "i4btrace" utility
  * Cisco Secure Intrusion Detection System iplogging facility
  * pppd logs (pppdump-format files)
  * VMS TCPTRACE
  * DBS Etherwatch (text format)
  * Catapult DCT2000 (.out files)
 .
 Wiretap's shortcomings are: no filter capability and no support for packet
 capture.

Package: libwiretap-dev
Architecture: any
Section: libdevel
Depends: libwiretap15 (= ${binary:Version}), ${misc:Depends}
Description: network packet capture library -- development files
 Wiretap, part of the Wireshark project, is a library that allows one to
 read and write several packet capture file formats.
 .
 Supported formats are:
  * Libpcap
  * Sniffer
  * LANalyzer
  * Network Monitor
  * "snoop"
  * "iptrace"
  * Sniffer Basic (NetXRay)/Windows Sniffer Pro
  * RADCOM WAN/LAN Analyzers
  * Lucent/Ascend access products
  * HP-UX nettl
  * Toshiba ISDN Router
  * ISDN4BSD "i4btrace" utility
  * Cisco Secure Intrusion Detection System iplogging facility
  * pppd logs (pppdump-format files)
  * VMS TCPTRACE
  * DBS Etherwatch (text format)
  * Catapult DCT2000 (.out files)
 .
 Wiretap's shortcomings are: no filter capability and no support for packet
 capture.
 .
 This package contains the static library and the C header files.

=== debian/rules ===
--- 
+++ 
@@ -106,3 +106,8 @@
 	sed "$(CONTROL_IN_SED_CMD)" debian/control.in > debian/control
 	# ignore #653916
 	@echo 'blhc: ignore-line-regexp: .*CMakeCXXCompilerABI.cpp .*'
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym
